import { ComponentProps } from 'react';
import { Input, Prefix, TextInputContainer } from './styles';

export interface TextInputProps extends ComponentProps<typeof Input> {
  prefix?: string;
}

export function TextInput({ prefix, ...props }: TextInputProps) {
  return (
    <TextInputContainer as="div">
      {!!prefix && <Prefix>{prefix}</Prefix>}
      <Input {...props} />
    </TextInputContainer>
  );
}

TextInput.displayName = 'TextInput';
